No Results
Search Tips:
- Please consider misspellings
- Try different search keywords
Newer Version Available
Apex REST Code Sample Using RestRequest
The following sample shows you how to add an attachment to a case
by using the RestRequest object. For more information about authenticating
with cURL, see the Quick Start section
of the REST API Developer's Guide. In this code, the
binary file data is stored in the RestRequest object, and the Apex service class accesses the binary data in the RestRequest object
.
- Create an Apex class in your instance from Setup by clicking . Click New and add the following code to
your new class:
1@RestResource(urlMapping='/CaseManagement/v1/*') 2global with sharing class CaseMgmtService 3{ 4 5 @HttpPost 6 global static String attachPic(){ 7 RestRequest req = RestContext.request; 8 RestResponse res = Restcontext.response; 9 Id caseId = req.requestURI.substring(req.requestURI.lastIndexOf('/')+1); 10 Blob picture = req.requestBody; 11 Attachment a = new Attachment (ParentId = caseId, 12 Body = picture, 13 ContentType = 'image/jpg', 14 Name = 'VehiclePicture'); 15 insert a; 16 return a.Id; 17 } 18} - Open a command-line window and execute the following cURL command to upload the attachment
to a case: curl -H "Authorization: Bearer sessionId" -H "X-PrettyPrint: 1" -H "Content-Type: image/jpeg" --data-binary @file "https://instance.salesforce.com/services/apexrest/CaseManagement/v1/caseId"
- Replace sessionId with the <sessionId> element that you noted in the login response.
- Replace instance with your <serverUrl> element.
- Replace caseId with the ID of the case you want to add the attachment to.
- Replace file with the path and file name of the file you want to attach.
Your command should look something like this (with the sessionId replaced with your session ID):
1curl -H "Authorization: Bearer sessionId" 2-H "X-PrettyPrint: 1" -H "Content-Type: image/jpeg" --data-binary @c:\test\vehiclephoto1.jpg 3"https://na1.salesforce.com/services/apexrest/CaseManagement/v1/500D0000003aCts"The Apex class returns a JSON response that contains the attachment ID such as the following:
1"00PD0000001y7BfMAI" - To verify that the attachment and the image were added to the case, navigate to and select the All Open Cases view. Click on the case and then scroll down to the Attachments related list. You should see the attachment you just created.